<?php
	include_once(__DIR__."/../../core.php");
	

	switch( $html->form('op', 'post') ){		

		case "update":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){

				$idtipoanagrafica = $_POST['id_record'];
				$descrizione = save($_POST['descrizione']);

				//Nome tipologia non consentito
				if( $descrizione=="Cliente" || $descrizione=="Tecnico" || $descrizione=="Azienda" || $descrizione=="Fornitore" ){
					array_push( $_SESSION['errors'], "Nome non consentito!" );
				}

				//Nome ok
				else{
					$query = "UPDATE an_tipianagrafiche SET descrizione=\"$descrizione\" WHERE idtipoanagrafica=$idtipoanagrafica";
					$rs = $dbo->query( $query );
					array_push( $_SESSION['infos'], "Informazioni salvate correttamente!" );

				}

			}
			break;

		case "add":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$descrizione = save( $_POST['descrizione'] );
			
				if( isset( $_POST['descrizione'] ) ){
					//Verifico che il nome non sia duplicato
					$q = "SELECT descrizione FROM an_tipianagrafiche WHERE descrizione=\"".$descrizione."\"";
					$rs = $dbo->fetchArray($q);
					
					if( sizeof($rs)>0 ){
						array_push( $_SESSION['errors'], "Nome già esistente!" );
					}

					else{
						$query = "INSERT INTO an_tipianagrafiche(descrizione) VALUES (\"$descrizione\")";
						$rs = $dbo->query($query);
						$id_record = $dbo->last_inserted_id();
						array_push( $_SESSION['infos'], "Nuovo tipo di anagrafica aggiunto!" );
					}
				}
			}
			break;

		case "delete":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){

				$query="DELETE FROM an_tipianagrafiche WHERE idtipoanagrafica=\"$id_record\"";
				$rs = $dbo->query($query);

				array_push( $_SESSION['infos'], "Tipo di anagrafica eliminato!" );
			}
			break;

	}


?>
